Cancel Operation
curl --request POST \
--url https://api.example.com/v1/operations/{id}/cancelimport requests
url = "https://api.example.com/v1/operations/{id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/operations/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Operations
Cancel Operation
POST /v1/operations/:id/cancel — Cancel a pending operation
POST
/
v1
/
operations
/
{id}
/
cancel
Cancel Operation
Endpoint:
POST https://api.rebelfi.io/v1/operations/:id/cancelPath Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | number | Yes | Operation ID to cancel |
Example Request
curl -X POST "https://api.rebelfi.io/v1/operations/123/cancel" \
-H "x-api-key: your_api_key"
const result = await client.operations.cancel(123);
Example Response
{
"operationId": 123,
"status": "CANCELLED",
"success": true
}
Errors
| Code | Description |
|---|---|
OPERATION_NOT_FOUND | Operation ID doesn’t exist |
INVALID_OPERATION_STATUS | Operation has already been submitted, confirmed, or cancelled |
In most cases you don’t need to cancel manually. Simply create a new operation — any pending operations for the same wallet are automatically cancelled.